Subject: Re: bug#58070: [PATCH] Add tamil99 input method

From: Eli Zaretskii <[email-masked]>
Date: Tue, 27 Sep 2022 12:40:57 +0300

> From: Robert Pluim <[email-masked]>
> Cc: Visuwesh <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Tue, 27 Sep 2022 11:24:12 +0200
> 
> >>>>> On Tue, 27 Sep 2022 10:53:31 +0300, Eli Zaretskii <[email-masked]> said:
> 
>     Eli> In any case, my suggestion for finding composition backward is to
>     Eli> incrementally go back and call find-composition-internal, until it
>     Eli> fails to find a composition at or before point.
> 
> or until the glyph-string id changes, no? There could be two grapheme
> clusters next to each other.

Yes, comparison of the results returned by find-composition-internal
is necessary.

>     Eli> The next question will be: what would be the key to which you'd bind
>     Eli> this new command?
> 
> DEL, but only for those people who want the new behaviour. The tricky
> bit is then how to get the old behaviour somewhere. M- - DEL already
> deletes forward, but M-0 DEL does nothing as far as I know.

That's exactly the dilemma.  Maybe using the zero argument is the best
solution.